'use strict';

var _actions = require('../actions');

var _reducer = require('../reducer');

var _reducer2 = _interopRequireDefault(_reducer);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

it('should handle SHOW action', function () {
  var prevState = {
    show: false,
    title: ''
  };
  var showAction = {
    type: _actions.SHOW,
    payload: {
      title: 'show'
    }
  };
  expect((0, _reducer2.default)(prevState, showAction)).toEqual({
    show: true,
    title: 'show'
  });
});

it('should handle REPLACE action', function () {
  var prevState = {
    show: true,
    title: 'show'
  };
  var replaceAction = {
    type: _actions.REPLACE,
    payload: {
      title: 'replace'
    }
  };
  expect((0, _reducer2.default)(prevState, replaceAction)).toEqual({
    show: true,
    title: 'replace'
  });
});

it('should handle DISMISS action', function () {
  var prevState = {
    show: true,
    title: 'replace'
  };
  var dismissAction = {
    type: _actions.DISMISS
  };
  expect((0, _reducer2.default)(prevState, dismissAction)).toEqual({
    show: false,
    title: ''
  });
});