'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.dismissAlert = exports.replaceAlert = exports.showAlert = exports.DISMISS = exports.REPLACE = exports.SHOW = undefined;

var _warning = require('warning');

var _warning2 = _interopRequireDefault(_warning);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SHOW = exports.SHOW = '@sweetalert/SHOW';
var REPLACE = exports.REPLACE = '@sweetalert/REPLACE';
var DISMISS = exports.DISMISS = '@sweetalert/DISMISS';

var ALLOWS_KEYS = [
// sweetalert option
'title', 'text', 'type', 'customClass', 'showCancelButton', 'showConfirmButton', 'confirmButtonText', 'confirmButtonColor', 'cancelButtonText', 'imageUrl', 'imageSize', 'html', 'animation', 'inputType', 'inputValue', 'inputPlaceholder', 'showLoaderOnConfirm',

// custom option
'onConfirm', 'onCancel', 'onClose', 'onEscapeKey', 'onOutsideClick'];

function getInvalidProps(payload) {
  return Object.keys(payload).filter(function (key) {
    return ALLOWS_KEYS.indexOf(key) === -1;
  });
}

function warningInvalidProps(payload) {
  var invalidProps = getInvalidProps(payload);
  invalidProps.forEach(function (prop) {
    (0, _warning2.default)(false, 'Property ' + prop + ' is invalid. You can not pass it to SweetAlert');
  });
}

var showAlert = exports.showAlert = function showAlert(payload) {
  warningInvalidProps(payload);
  return {
    type: SHOW,
    payload: payload
  };
};
var replaceAlert = exports.replaceAlert = function replaceAlert(payload) {
  warningInvalidProps(payload);
  return {
    type: REPLACE,
    payload: payload
  };
};
var dismissAlert = exports.dismissAlert = function dismissAlert() {
  return {
    type: DISMISS
  };
};